/*
****************************************************************************

      GamePort Device ToolKit Subroutines.
      Standard Shared Library Include File.

      GamePortBase.h.
      Version 1.1.

      Paris E. Bingham Jr.
      Copyright  1986 - 1990  All Rights Reserved.


      History:

    Version      Date      Comments
    -------    --------    -----------------------------------------------
      1.0      10/01/89    PEB - Created.
      1.1      08/12/90    PEB - Add support for Manx C V5.0.
               09/18/90    PEB - Add support for SAS C V5.10.

****************************************************************************
*/

#ifndef  DT_GAMEPORTBASE_H
#define  DT_GAMEPORTBASE_H

/*
      Include Files
*/

#include <exec/types.h>
#include <exec/lists.h>
#include <exec/libraries.h>

/*
      Definitions
*/

/*
****************************************************************************
      DTGamePortBase - GamePort Library Base Structure
****************************************************************************
*/

struct   DTGamePortBase {
   struct   Library  ml_Lib;
   ULONG             ml_SegList;
   ULONG             ml_Flags;
   APTR              ml_ExecBase;
   LONG              ml_Data;
};

#define  DTGAMEPORTNAME    "GamePort.library"
#define  DTGAMEPORTREV     1L

/*
****************************************************************************
      End of GamePortBase.h
****************************************************************************
*/

#endif

