****************************************************************************
*
*     GamePort Device ToolKit Subroutines.
*     Standard Shared Library Include File.
*
*     GamePortBase.i.
*     Version 1.1.
*
*     Paris E. Bingham Jr.
*     Copyright  1986 - 1990  All Rights Reserved.
*
*
*     History:
*
*   Version      Date      Comments
*   -------    --------    -----------------------------------------------
*     1.0      10/01/89    PEB - Created.
*     1.1      08/12/90    PEB - Add support for Manx C V5.0.
*              09/18/90    PEB - Add support for SAS C V5.10.
*
****************************************************************************

 IFND  DT_GAMEPORTBASE_I
DT_GAMEPORTBASE_I SET         1

*
*     Include Files
*
                  INCLUDE     "exec/types.i"
                  INCLUDE     "exec/lists.i"
                  INCLUDE     "exec/libraries.i"

*
*     Definitions
*

****************************************************************************
*     DTGamePortBase - GamePort Library Base Structure
****************************************************************************

                  STRUCTURE   DTGamePortBase,LIB_SIZE
                  ULONG       ml_SegList
                  ULONG       ml_Flags
                  APTR        ml_ExecBase
                  LONG        ml_Data
                  LABEL       DTGamePortBase_SIZEOF

DTGAMEPORTNAME    MACRO
                  DC.B        'GamePort.library',0
                  ENDM
DTGAMEPORTREV     EQU         1

****************************************************************************
*     End of GamePortBase.i
****************************************************************************

 ENDC

